Destroyable (Java Platform SE 8 )
Keywords: javax.security.auth.Destroyable interface
Date: 2020-03-26

compact1, compact2, compact3
javax.security.auth

## Interface Destroyable

- All Known Subinterfaces:
    DHPrivateKey, DSAPrivateKey, ECPrivateKey, PBEKey, PrivateKey, RSAMultiPrimePrivateCrtKey, RSAPrivateCrtKey, RSAPrivateKey, SecretKey
  All Known Implementing Classes:
    KerberosKey, KerberosTicket, KeyStore.PasswordProtection, SecretKeySpec, X500PrivateCredential

      public interface Destroyable

  Objects such as credentials may optionally implement this interface to provide the capability to destroy its contents.
  See Also:
    `Subject`

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `destroy()` Destroy this `Object`.
    `default boolean` | `isDestroyed()` Determine if this `Object` has been destroyed.

- - ### Method Detail

    - #### destroy

          default void destroy()
                        throws DestroyFailedException

      Destroy this `Object`.

      Sensitive information associated with this `Object` is destroyed or cleared. Subsequent calls to certain methods on this `Object` will result in an `IllegalStateException` being thrown.

      The default implementation throws `DestroyFailedException`.

      Throws:
        `DestroyFailedException` - if the destroy operation fails.

        `SecurityException` - if the caller does not have permission to destroy this `Object`.

    - #### isDestroyed

          default boolean isDestroyed()

      Determine if this `Object` has been destroyed.

      The default implementation returns false.

      Returns:
        true if this `Object` has been destroyed, false otherwise.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.